diff -r -c -N -x .svn -x car -x model_10xxx -x model_fxx -x model_gx2 -x model_lx /home/xieming/coreboot-v2-3543/src/cpu/amd/socket_S1G1/chip.h amd/socket_S1G1/chip.h
*** /home/xieming/coreboot-v2-3543/src/cpu/amd/socket_S1G1/chip.h	1970-01-01 08:00:00.000000000 +0800
--- amd/socket_S1G1/chip.h	2008-08-18 12:51:49.000000000 +0800
***************
*** 0 ****
--- 1,4 ----
+ extern struct chip_operations cpu_amd_socket_S1G1_ops;
+ 
+ struct cpu_amd_socket_S1G1_config {
+ };
diff -r -c -N -x .svn -x car -x model_10xxx -x model_fxx -x model_gx2 -x model_lx /home/xieming/coreboot-v2-3543/src/cpu/amd/socket_S1G1/Config.lb amd/socket_S1G1/Config.lb
*** /home/xieming/coreboot-v2-3543/src/cpu/amd/socket_S1G1/Config.lb	1970-01-01 08:00:00.000000000 +0800
--- amd/socket_S1G1/Config.lb	2008-08-18 12:51:49.000000000 +0800
***************
*** 0 ****
--- 1,19 ----
+ uses CONFIG_CHIP_NAME
+ uses K8_REV_F_SUPPORT
+ uses K8_HT_FREQ_1G_SUPPORT
+ uses DIMM_SUPPORT
+ uses CPU_SOCKET_TYPE
+ 
+ if CONFIG_CHIP_NAME
+ 	config chip.h
+ end
+ 
+ default K8_REV_F_SUPPORT=1
+ #Opteron K8 1G HT Support
+ default K8_HT_FREQ_1G_SUPPORT=1
+ default DIMM_SUPPORT=0x0204  #DDR2 and REG, S1G1
+ default CPU_SOCKET_TYPE=0x12
+ 
+ object socket_S1G1.o
+ 
+ dir /cpu/amd/model_fxx
diff -r -c -N -x .svn -x car -x model_10xxx -x model_fxx -x model_gx2 -x model_lx /home/xieming/coreboot-v2-3543/src/cpu/amd/socket_S1G1/socket_S1G1.c amd/socket_S1G1/socket_S1G1.c
*** /home/xieming/coreboot-v2-3543/src/cpu/amd/socket_S1G1/socket_S1G1.c	1970-01-01 08:00:00.000000000 +0800
--- amd/socket_S1G1/socket_S1G1.c	2008-08-18 12:51:49.000000000 +0800
***************
*** 0 ****
--- 1,6 ----
+ #include <device/device.h>
+ #include "chip.h"
+ 
+ struct chip_operations cpu_amd_socket_S1G1_ops = {
+ 	CHIP_NAME("Socket S1G1 CPU")
+ };
